Bug 565949 - Review Request: perl-VOMS-Lite - Perl extension for VOMS Attribute certificate creation
Review Request: perl-VOMS-Lite - Perl extension for VOMS Attribute certificat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-16 14:03 EST by Steve Traylen
Modified: 2011-04-15 17:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-VOMS-Lite-0.14-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-30 15:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmaslano: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2010-02-16 14:03:55 EST
Spec URL: http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite.spec
SRPM URL: http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-1.fc12.src.rpm
Description: 
VOMS::Lite Provides an Issue routine which reads a configuration file in
$ENV{'VOMS_CONFIG_FILE'} or else (if root) /etc/grid-security/voms.config,
or else ~/.grid-security/voms.conf.
Comment 1 Chris Weyl 2010-02-20 16:40:11 EST
A couple comments -- 

There's a new filtering system in place, invoked via macros.  The preferred way is to filter as below (before the %description section):

%{?perl_default_filter:
%filter_from_provides /^perl(Win32::API)/d
%perl_default_filter
}

PERL_INSTALL_ROOT should really be DESTDIR.
Comment 2 Steve Traylen 2010-02-21 09:06:45 EST
Hi Chris,
 Thanks for the comments both are implemented. Since there
 does not look to be a /etc/rpm/perl.macros in RHEL/EPEL I revert
 for these back to how I was doing it.

Steve

Spec URL: http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite.spec
SRPM URL:
http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-2.fc12.src.rpm
Comment 3 Steve Traylen 2010-03-02 16:58:35 EST
Hi Chris,

 Are you able to complete the review?

Steve
Comment 4 Chris Weyl 2010-03-05 02:34:45 EST
Hmm...  the dreaded 404!

[cweyl@athena bin]$ wget http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-2.fc12.src.rpm
--2010-03-04 23:33:16--  http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-2.fc12.src.rpm
Resolving cern.ch... 137.138.28.241
Connecting to cern.ch|137.138.28.241|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://straylen.web.cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-2.fc12.src.rpm [following]
--2010-03-04 23:33:16--  http://straylen.web.cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-2.fc12.src.rpm
Resolving straylen.web.cern.ch... 137.138.143.226
Connecting to straylen.web.cern.ch|137.138.143.226|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2010-03-04 23:33:17 ERROR 404: Not Found.
Comment 5 Steve Traylen 2010-03-05 03:06:06 EST
And the  moral of the story is test your URLs , dont just copy paste 
and edit :-)

http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite.spec
http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-2.fc13.src.rpm
Comment 6 Chris Weyl 2010-03-06 17:03:58 EST
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2035992
Comment 7 Chris Weyl 2010-03-06 17:06:55 EST
And continuing on that theme, I'm getting a 404 when trying to fetch the source:

   http://www.cpan.org/modules/by-module/VOMS/VOMS-Lite-0.09.tar.gz
Comment 8 Steve Traylen 2010-03-06 18:11:07 EST
Thanks again.

New Sources are now specified direct to funet.fi. For what ever reason
the default URL that cpanspec creates looks to be behind quite
to the master. Of course I should have checked anyway.

http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite.spec
http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-3.fc14.src.rpm 

Also currently it seems

perl(HTTP::Daemon::SSL)

is not present in rawhide just now for some reason so the package 
can not be installed. I'm the maintainer for that anyway so will look. 

Steve
Comment 9 Steve Traylen 2010-03-07 06:15:23 EST
Re comment #8. perl-HTTP-Daemon-SSL is perfect available, my yum configuration
was broken.
Comment 10 Chris Weyl 2010-03-07 20:29:27 EST
(In reply to comment #8)
> Thanks again.
> 
> New Sources are now specified direct to funet.fi. For what ever reason
> the default URL that cpanspec creates looks to be behind quite
> to the master. Of course I should have checked anyway.

No problem.  Constructing URL's that point at the CPAN "by-module" tree seems to make more sense, but for some reason it's not present for every module...  cpanspec doesn't handle that very well, unfortunately :\
Comment 11 Chris Weyl 2010-03-07 20:31:17 EST
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2037155
Comment 12 Chris Weyl 2010-03-07 21:24:34 EST
Ok, so. Move the filtering macros before %description (see the below), and
I'll approve :)

Further comments:

The source0 url works; though generally it's best to point right at cpan.org
and let the mirror system hash it out.  The id/M/MI/... location you're using
is spot-on, however.

The filtering macros are being invoked correctly, but generally this is done
before the first %description, to ensure that it has somewhat of a standard
placement, and that it cannot unintentionally become part of a scriptlet
somewhere.  The non-standard filtering looks to be correct, though I'm not
taking too close a look given it's for EPEL and conditionalized away for
Fedora. :)

I see there are a couple extra directories in the tarball that aren't
packaged: examples/ and sbin/.  Why not add them to %doc?

The %description doesn't make a great deal of sense to me.  This doesn't
matter too much if this is intended as just a library package, but I see a
number of executables being installed in /usr/bin... If the primary purpose of
this package is to deliver those execs to end users, you should think about
revising it.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2037155

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
1086f83dfe77332edfa0b08cdd37cd6d8361376c VOMS-Lite-0.09.tar.gz
1086f83dfe77332edfa0b08cdd37cd6d8361376c VOMS-Lite-0.09.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-VOMS-Lite-0.09-3.fc13.noarch.rpm <=====
====> rpmlint
perl-VOMS-Lite.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
perl-VOMS-Lite.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
====> provides for perl-VOMS-Lite-0.09-3.fc13.noarch.rpm
perl(VOMS::Lite) = 0.09
perl-VOMS-Lite = 0.09-3.fc13
perl(VOMS::Lite::AC) = 0.09
perl(VOMS::Lite::ASN1Helper) = 0.09
perl(VOMS::Lite::Attribs::DBHelper) = 0.02
perl(VOMS::Lite::CertKeyHelper) = 0.09
perl(VOMS::Lite::KEY)  
perl(VOMS::Lite::MyProxy) = 0.09
perl(VOMS::Lite::OID)  
perl(VOMS::Lite::PEMHelper) = 0.09
perl(VOMS::Lite::PROXY) = 0.09
perl(VOMS::Lite::REQ) = 0.09
perl(VOMS::Lite::RSAHelper) = 0.09
perl(VOMS::Lite::RSAKey) = 0.09
perl(VOMS::Lite::VOMS) = 0.09
perl(VOMS::Lite::X509) = 0.09
====> requires for perl-VOMS-Lite-0.09-3.fc13.noarch.rpm
perl >= 0:5.004
perl(Crypt::CBC)  
perl(Crypt::DES_EDE3)  
perl(DBI)  
perl(Digest::MD2)  
perl(Digest::MD5)  
perl(Digest::SHA1)  
perl(Exporter)  
perl(File::Copy)  
perl(HTTP::Daemon::SSL)  
perl(HTTP::Request)  
perl(HTTP::Response)  
perl(HTTP::Status)  
perl(IO::Socket)  
perl(IO::Socket::SSL)  
perl(LWP::UserAgent)  
perl(Math::BigInt)  
perl(Math::BigInt::GMP)  
perl(MIME::Base64)  
perl(:MODULE_COMPAT_5.10.1)  
perl(Regexp::Common)  
perl(strict)  
perl(Sys::Hostname)  
perl(Term::ReadKey)  
perl(Time::Local)  
perl(vars)  
perl(VOMS::Lite)  
perl(VOMS::Lite::AC)  
perl(VOMS::Lite::ASN1Helper)  
perl(VOMS::Lite::CertKeyHelper)  
perl(VOMS::Lite::KEY)  
perl(VOMS::Lite::MyProxy)  
perl(VOMS::Lite::PEMHelper)  
perl(VOMS::Lite::PROXY)  
perl(VOMS::Lite::REQ)  
perl(VOMS::Lite::RSAHelper)  
perl(VOMS::Lite::RSAKey)  
perl(VOMS::Lite::VOMS)  
perl(VOMS::Lite::X509)  
perl(warnings)  
/usr/bin/perl  

=====> perl-VOMS-Lite-0.09-3.fc13.src.rpm <=====
====> rpmlint
perl-VOMS-Lite.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
perl-VOMS-Lite.src: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
====> provides for perl-VOMS-Lite-0.09-3.fc13.src.rpm
====> requires for perl-VOMS-Lite-0.09-3.fc13.src.rpm
perl(Crypt::DES_EDE3)  
perl(Digest::MD2)  
perl(Digest::SHA1)  
perl(ExtUtils::MakeMaker)  
perl(IO::Socket::SSL)  
perl(Math::BigInt::GMP)  
perl(Regexp::Common)  
perl(Term::ReadKey)
Comment 13 Steve Traylen 2010-03-08 06:18:00 EST


* The dependency filtering is moved up
* The example folder is included in the docs.

 Also:
* sbin/voms-server.pl was almost probably meant to be installed in /usr/sbin
  I've done this now and will submit a comment upstream.
* I also added a sensible default configuration file for voms-server.pl.

 http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite.spec
 http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-4.fc14.src.rpm 

   Steve
Comment 14 Chris Weyl 2010-03-12 22:20:22 EST
Thanks for the updates!  And apologies for taking so long to complete this review.  I need to think through the implications of our providing a service of some sort, and any implications this may have from a guidelines perspective... and I've been running a bit low on tuits this week :)

(And, also, from a lets-make-sure-people-know-what-it-is-and-use-it perspective :))
Comment 15 Steve Traylen 2010-03-13 02:13:12 EST
I did contemplate moving the server part out to a separate package
and for that matter adding an init.d script.

I probably do think it was good idea.

Steve
Comment 16 Steve Traylen 2010-03-13 04:20:09 EST
Okay took a better a look at the voms-server.pl stuff this morning.

http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite.spec
http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.09-5.fc14.src.rpm

I've rewritten the summary of the package to try and explain
what this is a little more.

The voms-server.pl is probably a distraction, I anticipate the main
use of this to be the client tools and libs against the existing
C implementation of  a voms-server already in Fedora/EPEL and
something I have ran for quite a few years now. In
particular voms-server.pl does not at the moment fork so cannot
be used as a daemon as such as it stands. If voms-server.pl progresses
then I can think about adding start up scripts , adding a user, running
non-root , that kind of thing.

Steve
Comment 17 Steve Traylen 2010-04-27 13:06:13 EDT
Hi Chris,

This has been here a while, if it's the server command that is worrying
you I'm more than happy to just drop it. As mentioned it's the client
that I actually use and want to see.

Steve.
Comment 18 Marcela Mašláňová 2010-12-20 08:38:44 EST
Hello Steve,
I'll review your package instead of Chris.

Marcela
Comment 19 Marcela Mašláňová 2010-12-21 11:59:36 EST
Chris covered almost everything. Rpmlint is complaining about:
perl-VOMS-Lite.noarch: W: spurious-executable-perm /usr/share/doc/perl-VOMS-Lite-0.09/example/PROXYINFO.pl
perl-VOMS-Lite.noarch: E: non-readable /etc/grid-security/voms.config 0600L

Spec: buildroot is not needed since F-12, but you will need it for EL-5.
On EL-6 should be new filter okay.
Installation of server in sbin is probably okay.

Provides:
rpm -qp --provides perl-VOMS-Lite-0.09-5.fc15.noarch.rpm 
perl(VOMS::Lite) = 0.09
perl(VOMS::Lite::AC) = 0.09
perl(VOMS::Lite::ASN1Helper) = 0.09
perl(VOMS::Lite::Attribs::DBHelper) = 0.02
perl(VOMS::Lite::CertKeyHelper) = 0.09
perl(VOMS::Lite::KEY)  
perl(VOMS::Lite::MyProxy) = 0.09
perl(VOMS::Lite::OID)  
perl(VOMS::Lite::PEMHelper) = 0.09
perl(VOMS::Lite::PROXY) = 0.09
perl(VOMS::Lite::REQ) = 0.09
perl(VOMS::Lite::RSAHelper) = 0.09
perl(VOMS::Lite::RSAKey) = 0.09
perl(VOMS::Lite::VOMS) = 0.09
perl(VOMS::Lite::X509) = 0.09
perl-VOMS-Lite = 0.09-5.fc15

Requires:
perl >= 0:5.004
perl(Crypt::CBC)  
perl(Crypt::DES_EDE3)  
perl(DBI)  
perl(Digest::MD2)  
perl(Digest::MD5)  
perl(Digest::SHA1)  
perl(Exporter)  
perl(File::Copy)  
perl(HTTP::Daemon::SSL)  
perl(HTTP::Request)  
perl(HTTP::Response)  
perl(HTTP::Status)  
perl(IO::Socket)  
perl(IO::Socket::SSL)  
perl(LWP::UserAgent)  
perl(Math::BigInt)  
perl(Math::BigInt::GMP)  
perl(MIME::Base64)  
perl(:MODULE_COMPAT_5.12.2)  
perl(Regexp::Common)  
perl(strict)  
perl(Sys::Hostname)  
perl(Term::ReadKey)  
perl(Time::Local)  
perl(vars)  
perl(VOMS::Lite)  
perl(VOMS::Lite::AC)  
perl(VOMS::Lite::ASN1Helper)  
perl(VOMS::Lite::CertKeyHelper)  
perl(VOMS::Lite::KEY)  
perl(VOMS::Lite::MyProxy)  
perl(VOMS::Lite::PEMHelper)  
perl(VOMS::Lite::PROXY)  
perl(VOMS::Lite::REQ)  
perl(VOMS::Lite::RSAHelper)  
perl(VOMS::Lite::RSAKey)  
perl(VOMS::Lite::VOMS)  
perl(VOMS::Lite::X509)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
/usr/bin/perl  

Provides and requires ok.
Comment 20 Steve Traylen 2010-12-21 18:19:59 EST
Marcella,

I'll look at this in the new year, limited access till then.

Thanks for the comments.

Steve.
Comment 21 Steve Traylen 2011-03-13 07:15:11 EDT
Hi Marcella, 

 I completely forgot you had commented on this thanks
 Updated packages reflecting your comments.

 
http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite.spec
http://cern.ch/straylen/rpms/perl-VOMS-Lite/perl-VOMS-Lite-0.11-1.fc14.src.rpm
Comment 22 Marcela Mašláňová 2011-03-14 07:23:42 EDT
ACCEPTED
Comment 23 Steve Traylen 2011-03-14 07:58:52 EDT
New Package SCM Request
=======================
Package Name: perl-VOMS-Lite
Short Description: Perl extension for VOMS Attribute certificate creation
Owners: stevetraylen
Branches: f14 f15 el4 el5 el6
InitialCC: perl-sig
Comment 24 Jason Tibbitts 2011-03-14 11:36:45 EDT
Git done (by process-git-requests).
Comment 25 Fedora Update System 2011-03-14 13:35:43 EDT
perl-VOMS-Lite-0.11-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-VOMS-Lite-0.11-1.fc14
Comment 26 Fedora Update System 2011-03-14 13:35:53 EDT
perl-VOMS-Lite-0.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-VOMS-Lite-0.11-1.el6
Comment 27 Fedora Update System 2011-03-14 13:36:00 EDT
perl-VOMS-Lite-0.11-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-VOMS-Lite-0.11-1.fc15
Comment 28 Fedora Update System 2011-03-14 23:04:25 EDT
perl-VOMS-Lite-0.11-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 29 Fedora Update System 2011-03-18 05:01:44 EDT
perl-VOMS-Lite-0.12-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-VOMS-Lite-0.12-1.fc14
Comment 30 Fedora Update System 2011-03-18 05:01:54 EDT
perl-VOMS-Lite-0.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-VOMS-Lite-0.12-1.el6
Comment 31 Fedora Update System 2011-03-18 05:02:03 EDT
perl-VOMS-Lite-0.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-VOMS-Lite-0.12-1.el5
Comment 32 Fedora Update System 2011-03-18 05:02:11 EDT
perl-VOMS-Lite-0.12-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-VOMS-Lite-0.12-1.fc15
Comment 33 Fedora Update System 2011-03-30 15:55:22 EDT
perl-VOMS-Lite-0.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2011-04-06 18:51:44 EDT
perl-VOMS-Lite-0.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2011-04-06 18:54:54 EDT
perl-VOMS-Lite-0.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2011-04-15 17:24:39 EDT
perl-VOMS-Lite-0.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.